Package org.codehaus.janino

# Interface Java.AnnotationTypeDeclaration

All Superinterfaces:
  `Java.Annotatable`, `Java.DocCommentable`, `Java.Locatable`, `Java.NamedTypeDeclaration`, `Java.Scope`, `Java.TypeDeclaration`

All Known Implementing Classes:
  `Java.MemberAnnotationTypeDeclaration`, `Java.PackageMemberAnnotationTypeDeclaration`

Enclosing class:
  `Java`

public static interface Java.AnnotationTypeDeclaration extends Java.NamedTypeDeclaration, Java.DocCommentable
Base for package member ("top-level") and member ("nested") annotation type declarations.

## Method Summary

Modifier and Type
Method
Description
`Java.Modifier[]`
`getModifiers()`

### Methods inherited from interface org.codehaus.janino.Java.Annotatable

`getAnnotations`

### Methods inherited from interface org.codehaus.janino.Java.DocCommentable

`getDocComment, hasDeprecatedDocTag`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.NamedTypeDeclaration

`getName, getOptionalTypeParameters`

### Methods inherited from interface org.codehaus.janino.Java.Scope

`getEnclosingScope`

### Methods inherited from interface org.codehaus.janino.Java.TypeDeclaration

`accept, createAnonymousClassName, createLocalTypeName, getClassName, getMemberTypeDeclaration, getMemberTypeDeclarations, getMethodDeclaration, getMethodDeclarations`

## Method Details

### getModifiers

Java.Modifier[] getModifiers()

Returns:
  The `Java.Modifier`s declared for this annotation type